package supperSlonic.dynamoDBDAL.Table;

import java.util.List;

import com.amazonaws.services.dynamodbv2.model.AttributeDefinition;
import com.amazonaws.services.dynamodbv2.model.KeySchemaElement;
import com.amazonaws.services.dynamodbv2.model.ProvisionedThroughput;

import supperSlonic.amazonConnection.AmazonContext;

public abstract class DynamoDBSchema extends DynamoDBTable
{
	public DynamoDBSchema(AmazonContext context)
	{
		super(context);		
	}

	public abstract List<KeySchemaElement> createKeySchema();
	
	public abstract List<AttributeDefinition> createAttributeDefinitions();
	
	public abstract ProvisionedThroughput createProvisionedThroughput();
}
